package com.fs.qywx.mapper;

import java.util.List;
import com.fs.qywx.domain.QywxTag;

/**
 * 标签Mapper接口
 * 
 * @author fs
 * @date 2023-08-02
 */
public interface QywxTagMapper 
{
    /**
     * 查询标签
     * 
     * @param id 标签主键
     * @return 标签
     */
    public QywxTag selectQywxTagById(Long id);

    /**
     * 查询标签列表
     * 
     * @param qywxTag 标签
     * @return 标签集合
     */
    public List<QywxTag> selectQywxTagList(QywxTag qywxTag);

    /**
     * 新增标签
     * 
     * @param qywxTag 标签
     * @return 结果
     */
    public int insertQywxTag(QywxTag qywxTag);

    /**
     * 修改标签
     * 
     * @param qywxTag 标签
     * @return 结果
     */
    public int updateQywxTag(QywxTag qywxTag);

    /**
     * 删除标签
     * 
     * @param id 标签主键
     * @return 结果
     */
    public int deleteQywxTagById(Long id);

    /**
     * 批量删除标签
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQywxTagByIds(Long[] ids);
}
